[elinks-users] Re: ELinks-0.10.5

Jonas Fonseca fonseca at diku.dk
Tue May 3 14:23:24 PDT 2005


Alexey Tourbin <at at altlinux.ru> wrote Wed, May 04, 2005:
> On Tue, May 03, 2005 at 09:25:47PM +0200, Jonas Fonseca wrote:
> >   - Fix the set_option() and get_option() functions available from Lua
> >     scripts to compile with Lua 4.
> 
> Lua5 detection seems to be broken.

I've fixed it and will upload once again. Thanks for the feedback.

> checking for Lua... yes
> checking for lauxlib.h... yes
> checking for lua_pcall... yes
> checking for LUA 5 or better... checking for Ruby... no
> checking for SpiderMonkey... no
> 
> 
> configure:6830: checking for LUA 5 or better
> configure:6839: gcc -o conftest -pipe -Wall -O2 -march=i686 -Wall     -rdynamic conftest.c -llua -llualib -lm -ldl  -lgpm -lz -lbz2 -lexpat 1>&5
> configure: In function `main':
> configure:6835: error: too many arguments to function `lua_open'
> configure: failed program was:
> #line 6832 "configure"
> #include "confdefs.h"
> #include <lualib.h>
> int main() {
> lua_State *L = lua_open(0); lua_pushboolean(L, 1); lua_close(L); return 0;
> ; return 0; }
> 
> 
> $ grep LUA_VERSION /usr/include/lua.h
> #define LUA_VERSION     "Lua 5.0.2"
> $ grep lua_open /usr/include/lua.h
> LUA_API lua_State *lua_open (void);
> $ grep include  /usr/include/lualib.h
> #include "lua.h"
> $

-- 
Jonas Fonseca



More information about the elinks-users mailing list